LComments {R.utils} | R Documentation

## The LComments class

### Description

Package: R.utils
Class LComments

`Object`
`~~|`
`~~+--``SmartComments`
`~~~~~~~|`
`~~~~~~~+--``VComments`
`~~~~~~~~~~~~|`
`~~~~~~~~~~~~+--``LComments`

Directly known subclasses:

public static class LComments
extends VComments

The LComments class.

This class, is almost identical to the super class, except that the constructor has different defaults.

### Usage

    LComments(letter="L", verboseName="log", ...)

### Arguments

`letter` | The smart letter.
`verboseName` | The name of the verbose object.
`...` | Not used.

### Fields and Methods

Methods:
No methods defined.

Methods inherited from VComments:
convertComment, reset, validate

Methods inherited from SmartComments:
compile, convertComment, parse, reset, validate

Methods inherited from Object:
$, $<-, [[, [[<-, as.character, attach, attachLocally, clearCache, clearLookupCache, clone, detach, equals, extend, finalize, getEnvironment, getFieldModifier, getFieldModifiers, getFields, getInstantiationTime, getStaticInstance, hasField, hashCode, ll, load, names, objectSize, print, save

### Author(s)

Henrik Bengtsson

[Package R.utils version 2.6.0 Index]